LibUtils.ARCHType
Date: 2010-04-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## jcuda
Enum LibUtils.ARCHType

    java.lang.Object
      java.lang.Enum<LibUtils.ARCHType>
          jcuda.LibUtils.ARCHType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LibUtils.ARCHType>

Enclosing class:
  LibUtils

    public static enum LibUtils.ARCHType

extends java.lang.Enum<LibUtils.ARCHType>

Enumeration of common CPU architectures.

Enum Constant Summary
`ARM`
`MIPS`
`PPC`
`PPC_64`
`RISC`
`SPARC`
`UNKNOWN`
`X86`
`X86_64`

Method Summary
`static LibUtils.ARCHType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LibUtils.ARCHType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PPC

    public static final LibUtils.ARCHType PPC

### PPC_64

    public static final LibUtils.ARCHType PPC_64

### SPARC

    public static final LibUtils.ARCHType SPARC

### X86

    public static final LibUtils.ARCHType X86

### X86_64

    public static final LibUtils.ARCHType X86_64

### ARM

    public static final LibUtils.ARCHType ARM

### MIPS

    public static final LibUtils.ARCHType MIPS

### RISC

    public static final LibUtils.ARCHType RISC

### UNKNOWN

    public static final LibUtils.ARCHType UNKNOWN

Method Detail

### values

    public static LibUtils.ARCHType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LibUtils.ARCHType c : LibUtils.ARCHType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LibUtils.ARCHType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD